Bareos verhindert Upgrade auf 4.3

german
bareos

#1

Hallo und guten Morgen,

ich wollte heute mal auf unserem System das Upgrade auf 4.3 installieren. Aber anscheinend verhindert die installaierte Bareos-Version dies. Die Meldung:

Starting univention-upgrade. Current UCS version is 4.2-3 errata312

Checking for local repository:                          none
Checking for package updates:                           none
Checking for app updates:                               none
Checking for release updates:                          The update to UCS 4.3 is blocked because the component 'bareos_20180116114559' is marked as required. 

Installiert habe ich auf allen UCS-Systemen (Backup - Server/-Client) diese Version:

https:/bareos_20180116114559

Im Pfad für 4.3:
4.3/maintained/component

gibt es ja keine Koponenten. Mache ich etwas falsch oder dauert das einfach nocht?

Viele Grüße
Sven


What happened to Bareos Backup
#2

Hallo Sven,

ich habe das gleiche Verhalten hier, allerdings noch mit einer Ergänzung.
Ich führte vorher das Upgrade von PostgreSQL von 9.1 auf 9.4 nach diesem Eintrag aus:

Darauf kam ich ausgehend hiervon:

https://docs.software-univention.de/release-notes-4.3-0-de.html#relnotes:prepare

Welches mir anzeigte, dass die Version 9.1 nicht mehr unterstützt wird und die Version 9.4 benötigt würde.

Schau’n wir mal.

Mfg,
Michael


#3

Hallo,

das Update auf 4.3 ist z.Z. noch geblockt, wenn die Bareos App installiert ist, da es die App noch nicht für 4.3 gibt. Sobald der Hersteller die App für 4.3 zur Verfügung stellt, wird auch das Update möglich sein.

VG
Felix


#4

Ja, so etwas dachte ich mir schon und habe nichts per Hand mit PostgreSQL unternommen. Habe ja auch keine aktuellen Probleme … kann also warten :slight_smile:
Danke für die Info


#5

Hallo,

kurze Ergänzung dazu. Bareos wartet wie wir auf die Verfügbarkeit von UCS 4.3 im Open Suse Build Service:
https://bugzilla.opensuse.org/show_bug.cgi?id=1085424

Gruß, Nico.


Fehlende Apps in UCS 4.3
#6

Irgendwie meint der Bug schon eine Weile

Status: RESOLVED FIXED

Kann sich also nur noch um Jahre handeln :wink:


#7

Hallo,

das UCS 4.3 Build Target im Open Suse Build Service ist seit ca. zwei Wochen verfügbar und die entsprechenden App Anbieter, wie z.B. Bareos, wurden umgehend darüber informiert, so dass die Arbeiten an den Paketen für UCS 4.3 starten können.

Gruß, Nico.


#8

Hallo zusammen,

gibt es schon einen groben Plan wann das Update mit Bareos&UCS klappen wird? Oder muss ich hierzu in den Paket-Einstellungen zu Bareos erst etwas anpassen?

Viele Grüße
Sven


#9

Hallo,

an UCS sind keine Anpassungen nötig. Die Bareos App braucht ein Upgrade auf UCS 4.3. Soweit ich weiß, ist es in Planung. Für nähere Details sei die Kontaktaufnahme mit Bareos empfohlen. Die Kontaktdetails finden sich auf der App Seite.

Gruß, Nico.


#10

Ok, bedeute für mich dass das Update automatisch dann komme wenn es fertig ist. Die Info reicht mir. Danke!


#11

Hallo,

die Version 17.2.6 von Bareos steht mittlerweile im App Center zur Verfügung. Mit Update steht Bareos jetzt auch für UCS 4.3 bereit. Ich wünsche Frohes Updaten.

Gruß, Nico.


#12

Hallo zusammen,

habe hier folgende Konstellation:

  • UCS (Master) 4.2.4 als KVM-VM
  • UCS (Member) 4.2.4 als KVM-Host

Der Master läuft also auf einem Member als VM. Auf dem KVM-Host ist auch der Bareos-Server installiert. Dort habe ich per AppCenter auf die Version 17.2.6 aktuallisiert was auch ohne Fehler durch lief.

Auf dem KVM-Host (member) wird mir nun das “UCS 4.3-1 (neueste Version)” angeboten. Auf dem Master hingegen bekomme ich den HInweis:

Die momentan installierte Version ist 4.2-4 errata425.
Weitere Releaseupdates sind verfügbar, können jedoch nicht installiert werden. Die momentan installierte Version der Applikation Bareos Backup Server ist nicht verfügbar für alle neueren UCS Releases. Sie können auf die Veröffentlichung der App für die neue UCS Version warten. Sie können auch im Modul “App Center” nach Alternativen suchen oder die Applikation deinstallieren.

Soweit ich weiß muss ja immer der Master aktuallisiert werden. Aber genau das bekomme ich nicht angeboten.

Auf dem UCS-Master ist wie auf allen anderen VM’s der Bareos-Client installiert. Muss dieser auch zuerst aktuallisiert werden?


#13

Änlich verhält es sich in einem anderen UCS-Netz wo ich es gerade getestet habe. Hier ist der UCS-Master 4.2-4 ebenfalls in einer VM auf einem UCS-Member (gleiche Version). Der Bareos-Server läuft jedoch auf einem eigene Server der UCS Member ist (4.2-4). Auf diesem Member wurde mir das Backup angeboten:

Bareos Backup Server: Version 17.2.4 kann auf 17.2.6 aktualisiert werden

Update durchgeführt. Am Ende die Meldung:

Ein Fehler ist aufgetreten: Exception in UCR module create_portal_entries

aber laut WebUI ist die Version nun installiert. Auf diesem Memeber wird mir das UCS-Update auf 4.3.1 angeboten. Auf dem Master:

Die momentan installierte Version ist 4.2-4 errata425.
Weitere Releaseupdates sind verfügbar, können jedoch nicht installiert werden. Die momentan installierte Version der Applikation Bareos Backup Server ist nicht verfügbar für alle neueren UCS Releases. Sie können auf die Veröffentlichung der App für die neue UCS Version warten. Sie können auch im Modul “App Center” nach Alternativen suchen oder die Applikation deinstallieren.